#containerList{
    padding: 20px 20px 20px 20px;
    width: 100%;
    display: flex;
    align-items: flex-start;
    gap: 20px;
}
.containerkiri{
    width: 62%;
    position: relative;
    display: block;
    z-index: 2;
}
.containerkanan{
    width: 36%;
    position: sticky;
    top: 95px;
    height: fit-content;
    z-index: 10;
}
.insightartikel{
    height: auto;
    padding: 12px;
    background-color: var(--nav-color);
}
.insightartikel span{
    color: #fff;
}
.searchbox{
    width: 100%;
}
.searchbox input{
    width: 88%;
    margin-right: 2%;
    float: left;
    padding: 8px;
    border-radius: 7px;
    border: 2px solid var(--search-article);
    font-size: var(--font-btn);
}
.searchbox button{
    width: 10%;
    float: left;
    padding: 10px 8px 10px 8px;
    border-radius: 7px;
    border: none;
    background-color: var(--btn-primary);
    color: #fff;
    font-size: var(--font-btn);
    z-index: 3;
}
.searchbox button:hover{
    background-color: var(--btn-primary-hover);
}
.artikelutama{
    display: flex;
    width: 100%;
}
.thumbnail-w{
    position: relative;
    display: block;
    width: 100%;
    height: 300px;
}
.thumbnail-w::after{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border-radius: 10px;
    background: linear-gradient(
        135deg,
        rgba(0,0,0,0.50) 0%,
        rgba(0,0,0,0.20) 20%,
        rgba(0,0,0,0) 55%
    );
    z-index: 4;
}
.thumbnail-w img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 10px;
    z-index: 3;
}
.thumbnail-w h3{
    display: flex;
}
.judulartikel{
    margin-top: -1px;
    display: -webkit-box;
    -webkit-line-clamp: 2; /*jumlah baris*/
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}
.judulartikel b a{
    text-decoration: none;
    color: var(--text-black);
}
.judulartikel b a:hover{
    text-decoration: none;
    color: var(--nav-color);
}
.deskripsiartikel{
    display: -webkit-box;
    -webkit-line-clamp: 3; /*jumlah baris*/
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-align: justify;
    color: var(--desc-article) ;
    text-overflow: ellipsis;
}
#detailatas{
    position: absolute;
    display: flex;
    align-items: center;
    gap: 2px;
    top: 10px;
    left: 10px;
    color: var(--text-color);
    z-index: 5;
}
#detailatas a button{
    padding: 6px;
    border-radius: 5px;
    font-size: var(--font-normal);
    text-decoration: none;
    border: none;
    font-weight: bolder;
    background-color: var(--nav-color);
    color: var(--text-color);
}
#detailatas i{
    font-size: var(--font-btn);
    padding: 6px 0px 6px 0px;
}
#detail p{
    font-size: var(--font-normal);
    font-weight: bolder;
}
/*artikel list*/
.artikelutama-k{
    display: flex;
    width: 100%;
    justify-content: space-between;
}
.thumbnail-k{
    position: relative;
    display: block;
    width: 35%;
    height: 150px;
}
.judul-k{
    position: relative;
    display: block;
    height: 150px;
    width: 61%;
}
.thumbnail-k img{
    width: 100%;
    height: 100%;
    border-radius: 7px;
    object-fit: cover;
    object-position: center;
    z-index: 3;
}
.thumbnail-k h4{
    display: flex;
}
.footsubarticle{
    position: absolute;
    display: flex;
    align-items:end;
    gap: 5px;
    bottom: 0;
    left: 0;
    color: var(--text-black);
    z-index: 5;
}
.footsubarticle a button{
    padding: 6px;
    border-radius: 5px;
    font-size: var(--font-small);
    text-decoration: none;
    border: none;
    font-weight: bolder;
    background-color: var(--nav-color);
    color: var(--text-color);
}
.footsubarticle i{
    font-size: var(--font-btn);
    align-items: end;
    padding-bottom: 2px;
}
.footsubarticle p{
    font-size: var(--font-small);
    font-weight: bolder;
}
.tambahartikel a button{
    color: var(--text-color);
    background-color: var(--btn-primary);
    font-weight: bolder;
    border-radius: 7px;
    padding: 10px;
    width: 100%;
    border: none;
}
.tambahartikel a button:hover{
    background-color: var(--btn-primary-hover);
}
#formInputArticle select{
    width: 100%;
    padding: 10px;
    border-radius: 7px;
    text-align: center;
    font-weight: bolder;
    margin-bottom: 10px;
}
#formInputArticle button{
    width: 100%;
    padding: 10px;
    border-radius: 7px;
    text-align: center;
    font-weight: bolder;
    margin-bottom: 20px;
    border: none;
    color: var(--text-color);
    background-color: var(--btn-success);
}
#editarticle{
    background-color: var(--btn-warning);
    color: var(--text-black);
}
#hapusarticle{
    background-color: var(--btn-danger);
    color: var(--text-color);
}
.containerproduk{
    width: 100%;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    gap: 3%;
}
.thumbnailpdk{
    width: 48%;
    height: 245px;
    background-color: var(--list-product);
    margin-bottom: 15px;
    border-radius: 10px;
    padding: 10px;
    position: relative;
}
.tblpdk{
    width: 100%;
    height: 130px;
    border-radius: 5px;
    padding: 5px;
    justify-content: space-between;
    background-color: var(--text-color);
}
.tblpdk img{
    padding: 5px;
}
.descpdk p{
    margin-top: 5px;
    display: -webkit-box;
    -webkit-line-clamp: 2; /*jumlah baris*/
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 12pt;
    line-height: 20px;
}
.descpdk h2{
    color: var(--nav-color);
    font-weight: bolder;
    bottom: 0;
    right: 15px;
    margin-top: -2px;
    font-family: 'poppins';
    position: absolute;
}
#harga_coret{
    position: absolute;
    font-family: 'poppins';
    text-decoration: line-through;
    bottom: 30px;
    right: 16px;
    color: var(--text-black);
    font-weight: bolder;
}
#rp{
    position: absolute;
    font-family: 'poppins';
    left: 15px;
    bottom: 13px;
    color: var(--text-black);
    font-weight: bolder;
}
.thumbnailpdk img{
    width: 100%;
    height: 100%;
    object-fit:scale-down;
    object-position: center;
    display: block;
}
.bannerartikel{
    width: 100%;
    height: auto;
    margin-top: -27px;
}
.bannerartikel img{
    width: 100%;
    height: auto;
}
#imgBU{
    width: 200px;
    height: auto;
}
.actionbar{
    margin-top: 10px;
    display: flex;
    gap: 10px;
}
.actionbarleft{
    width: 30%;
}
.actionbarleft button{
    width: 100%;
    background-color: var(--btn-primary);
    padding: 10px;
    border: none;
    border-radius: 7px;
    color: var(--text-color);
}
.actionbarform{
    display: flex;
    gap: 10px;
}
.actionbarright{
    width: 70%;
}
.actionbarform input{
    flex: 1; /* isi sisa ruang */
    padding: 9px;
    border-radius: 6px;
    border: 1px solid #ccc;
}
.actionbarform button {
    padding: 10px;
    border: none;
    background: var(--btn-primary);
    color: var(--text-color);
    border-radius: 6px;
    cursor: pointer;
}
@media screen and (max-width: 850px) {
    #containerList{
        padding: 20px 20px 20px 20px;
        width: 100%;
        display: block;
        align-items:baseline;
        gap: 20px;
    }
    .containerkiri{
        width: 100%;
        position: relative;
        display: block;
        z-index: 4;
    }
    .containerkanan{
        margin-top: -60px;
        width: 100%;
        position: relative;
        display:contents;
        z-index: 3;
    }
    .containerproduk{
        width: 100%;
        position:relative;
    }
    #imgBU{
        height: 70px;
        width: auto;
    }
    .bannerartikel{
    width: 100%;
    height: auto;
    display: block;
    margin-top: -13px;
    margin-bottom: -17px;
}
.bannerartikel img{
    margin-top: -25px;
    width: 100%;
    height: auto;
}
}

